Bug 167337 - Disable Download attribute support on iOS
Summary: Disable Download attribute support on iOS
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: HTML DOM (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Chris Dumez
URL:
Keywords: InRadar
Depends on:
Blocks: 167341
  Show dependency treegraph
 
Reported: 2017-01-23 15:51 PST by Chris Dumez
Modified: 2017-01-25 14:45 PST (History)
12 users (show)

See Also:


Attachments
Patch (1.26 KB, patch)
2017-01-23 15:53 PST, Chris Dumez
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews121 for ios-simulator-wk2 (915.61 KB, application/zip)
2017-01-23 17:27 PST, Build Bot
no flags Details
Patch (393.15 KB, patch)
2017-01-24 10:40 PST, Chris Dumez
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Dumez 2017-01-23 15:51:32 PST
Disable Download attribute support on iOS as it currently does not work.
Comment 1 Radar WebKit Bug Importer 2017-01-23 15:52:12 PST
<rdar://problem/30154148>
Comment 2 Chris Dumez 2017-01-23 15:53:03 PST
Created attachment 299548 [details]
Patch
Comment 3 Sam Weinig 2017-01-23 16:09:20 PST
What's broken about it? Is there a bug tracking fixing it?
Comment 4 Chris Dumez 2017-01-23 16:13:45 PST
(In reply to comment #3)
> What's broken about it? Is there a bug tracking fixing it?

I did not have time to check why it's failing. We seem to handle downloads very differently on iOS and clicking the link ends up doing nothing.

I can file a but about fixing it, I don't think there is one yet.
Comment 5 Build Bot 2017-01-23 17:27:33 PST
Comment on attachment 299548 [details]
Patch

Attachment 299548 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/2937700

New failing tests:
imported/w3c/web-platform-tests/html/dom/reflection-text.html
imported/w3c/web-platform-tests/html/dom/reflection-embedded.html
Comment 6 Build Bot 2017-01-23 17:27:37 PST
Created attachment 299559 [details]
Archive of layout-test-results from ews121 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews121  Port: ios-simulator-wk2  Platform: Mac OS X 10.11.6
Comment 7 Chris Dumez 2017-01-24 10:40:51 PST
Created attachment 299611 [details]
Patch
Comment 8 Chris Dumez 2017-01-24 12:55:45 PST
(In reply to comment #3)
> What's broken about it? Is there a bug tracking fixing it?

When you click such link, you get a dialog saying it failed to install the profile (instead of opening the file in iBooks).
Comment 9 Alexey Proskuryakov 2017-01-25 14:21:50 PST
Comment on attachment 299611 [details]
Patch

rs=me
Comment 10 WebKit Commit Bot 2017-01-25 14:45:34 PST
Comment on attachment 299611 [details]
Patch

Clearing flags on attachment: 299611

Committed r211168: <http://trac.webkit.org/changeset/211168>
Comment 11 WebKit Commit Bot 2017-01-25 14:45:38 PST
All reviewed patches have been landed.  Closing bug.